> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/tools-terraform/docs/resources/monitoring_pipeline.md).

# ionoscloud\_monitoring\_pipeline

Creates and manages Monitoring pipeline objects.

Manages a [Monitoring pipeline](https://docs.ionos.com/cloud/observability/monitoring-service).

> ⚠️ Only tokens are accepted for authorization in the **monitoring\_pipeline** resource. Please ensure you are using tokens as other methods will not be valid.

## Usage example

```hcl
resource "ionoscloud_monitoring_pipeline" "example" {
  location = "es/vit"
  name = "pipelineExample"
}
```

**NOTE:** The default timeout for all operations is 60 minutes. If you want to change the default value, you can use `timeouts` attribute inside the resource:

```hcl
resource "ionoscloud_monitoring_pipeline" "example" {
  location = "es/vit"
  name = "pipelineExample"
  timeouts {
    create = "20m"
    read = "30s"
    update = "10m"
    delete = "10m"
  }
}
```

## Argument reference

* `name` - (Required)\[string] The name of the Monitoring pipeline.
* `location` - (Optional)\[string] The location of the Monitoring pipeline. Default is `de/fra`. It can be one of `de/fra`, `de/fra/1`, `de/fra/2`, `de/txl`, `es/vit`, `gb/lhr`, `fr/par`. If this is not set and if no value is provided for the `IONOS_API_URL_MONITORING` env var, the default `location` will be: `de/fra`.
* `grafana_endpoint` - (Computed)\[string] The endpoint of the Grafana instance.
* `http_endpoint` - (Computed)\[string] The HTTP endpoint of the monitoring instance.
* `key` - (Computed)(Sensitive)\[string] The key used to connect to the monitoring pipeline.

> **⚠ NOTE:** `IONOS_API_URL_MONITORING` can be used to set a custom API URL for the resource. `location` field needs to be empty, otherwise it will override the custom API URL.

## Import

In order to import a Monitoring pipeline, you can define an empty Monitoring pipeline resource in the plan:

```hcl
resource "ionoscloud_monitoring_pipeline" "example" {
}
```

The resource can be imported using the `location` and `pipeline_id`, for example:

```shell
terraform import ionoscloud_monitoring_pipeline.example location:pipeline_id
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/tools-terraform/docs/resources/monitoring_pipeline.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
